<!--
 * @Date: 2024-05-26 21:59:53
 * @LastEditors: Sneed
 * @LastEditTime: 2024-05-26 22:11:25
 * @FilePath: /belleson-frontend/Users/mache/Documents/demo/cps-web/src/views/dnc/transport/index.vue
-->
<template>
    <el-main style="height: 100%;">
        <el-card shadow="never" style="height: 100%;" body-style="height: 100%">
            <div class="main-container">
                <div class="main-container-item">
                    <el-row>
                        <el-col :span="8" :gutter="20">
                            <el-tabs v-model="activeName" type="card" class="demo-tabs" @tab-click="handleClick">
                                <el-tab-pane label="我的文档" name="1">

                                </el-tab-pane>
                                <el-tab-pane label="工艺管理" name="2">

                                </el-tab-pane>
                            </el-tabs>
                        </el-col>
                        <el-col :span="16">
                            <el-table :data="tableData" style="width: 100%">
                                <el-table-column type="selection" width="50"></el-table-column>
                                <el-table-column label="文件名称" prop="" width=""></el-table-column>
                                <el-table-column label="源路径" prop="" width=""></el-table-column>
                                <el-table-column label="大小" prop="" width=""></el-table-column>
                                <el-table-column label="文件类型" prop="" width=""></el-table-column>
                                <el-table-column label="更新时间" prop="" width=""></el-table-column>
                            </el-table>
                        </el-col>
                    </el-row>
                </div>
                <div class="main-container-item">
                    <el-row>
                        <el-col :span="8" :gutter="20">
                            <el-tabs v-model="activeName" type="card" class="demo-tabs" @tab-click="handleClick">
                                <el-tab-pane label="以太网" name="1">

                                </el-tab-pane>
                                <el-tab-pane label="内部存储" name="2">

                                </el-tab-pane>
                            </el-tabs>
                        </el-col>
                        <el-col :span="8">
                            <h3>程序</h3>
                            <el-table :data="tableData" style="width: 100%">
                                <el-table-column type="selection" width="50"></el-table-column>
                                <el-table-column label="文件名称" prop="" width=""></el-table-column>
                                <el-table-column label="存储空间" prop="" width=""></el-table-column>
                            </el-table>
                        </el-col>
                        <el-col :span="8">
                            <h3>文件</h3>
                            <el-table :data="tableData" style="width: 100%">
                                <el-table-column type="selection" width="50"></el-table-column>
                                <el-table-column label="文件名称" prop="" width=""></el-table-column>
                                <el-table-column label="存储空间" prop="" width=""></el-table-column>
                            </el-table>
                        </el-col>
                    </el-row>
                </div>
            </div>
        </el-card>
    </el-main>
</template>

<script>
export default {

}
</script>

<style lang="scss" scoped>
.main-container {
    display: flex;
    flex-direction: column;
    height: 100%;

    &-item {
        height: 50%;
        flex: 0 0 auto;
    }
}
</style>